import WebFlow.*;
import WebFlow.submitJob.*;
import org.w3c.dom.*;
import com.ibm.xml.parser.ExternalID;
import com.ibm.xml.parser.Parser;
import com.ibm.xml.parser.TXDocument;
import com.ibm.xml.parser.DTD;
import java.io.*;
import java.util.Vector;


public class testGD{
public static void main(String args[])
{
        String Fname= args[0];
        DTD dtd;
        int idx= Fname.indexOf(".xml");
        String Name=Fname.substring(0, idx);               
     
        try{
       Parser parser;
       String dtdfile="/npac/home/webflow/WEBFLOW/BeanContext_2.2.2/ATD/descriptorDTD.dtd";
       //  InputStream is=(new URL(dtdfile)).openStream();
       FileInputStream is =new FileInputStream(dtdfile);
       parser= new Parser(dtdfile);
       dtd= parser.readDTDStream(is);      
System.out.println("parsed dtd file.");

       //creates a Document object;
       Document doc = (Document)Class.forName("com.ibm.xml.parser.TXDocument").newInstance();
      
       //mkaes the "TaskDescriptor" element as the root, and adds it.
       Element root = doc.createElement("Task"); 
      
    
       //Makes the "TaskName" element, and adds it
       Element item= doc.createElement("TaskName");
       item.setAttribute("name",Name);
       item.setAttribute("descriptor",Fname);
       //  item.appendChild(doc.createTextNode("Parssim code"));
       root.appendChild(item);
       
       //Makes the "application" element with an attribute, and adds it.      
       item= doc.createElement("InputPort");
       item.setAttribute("task","Run");
       root.appendChild(item);

       //Makes the "application" element with an attribute, and adds it.      
       item= doc.createElement("OutputPort");
       item.setAttribute("task","Done");
       root.appendChild(item);

      
      //add the root  
       DTD dt=((TXDocument)doc).createDTD("Task", new ExternalID("descriptorDTD.dtd"));
      ((TXDocument)doc).appendChild(dt);
       doc.appendChild(root);
      
       // Shows the XML document
       ((TXDocument)doc).setVersion("1.0");
       ((TXDocument)doc).printWithFormat(new FileWriter("ATD.xml"));
           
      }
     catch(Exception e)
     {
     e.printStackTrace();
     }
}

 };
